﻿<%@ Page Title="" Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="Search.aspx.vb" Inherits="Users_Search" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:GridView ID="GridView1" runat="server" DataSourceID="SqlDataSource1" 
    AutoGenerateColumns="False" 
        DataKeyNames="ProductId,Price,Category,Description">
    <Columns>
        <asp:CommandField ButtonType="Button" ShowSelectButton="True" />
        <asp:BoundField DataField="ProductId" HeaderText="ProductId" 
            SortExpression="ProductId" />
        <asp:BoundField DataField="Description" HeaderText="Description" 
            SortExpression="Description" />
        <asp:BoundField DataField="Price" HeaderText="Price" SortExpression="Price" />
        <asp:BoundField DataField="Category" HeaderText="Category" 
            SortExpression="Category" />
        <asp:BoundField DataField="ImageURL" HeaderText="ImageURL" 
            SortExpression="ImageURL" />
    </Columns>
</asp:GridView>
<asp:TextBox ID="txtProdID" runat="server" Width="195px"></asp:TextBox>
<asp:SqlDataSource ID="SqlDataSource1" runat="server" 
    ConnectionString="<%$ ConnectionStrings:ASPNETDBConnectionString %>" 
    
    SelectCommand="SELECT ProductId, Description, Price, Category, ImageURL FROM Products WHERE (ProductId = @ProdId)">
    <SelectParameters>
        <asp:ControlParameter ControlID="txtProdID" DefaultValue="P01" Name="ProdId" 
            PropertyName="Text" />
    </SelectParameters>
</asp:SqlDataSource>
<asp:Button ID="btnSearch" runat="server" Text="Search" />
    <br />
    <asp:Label ID="lblCart" runat="server" Text="Cart Contents" Visible="False"></asp:Label>
<asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" 
    DataSourceID="SqlDataSource2" Height="96px" Width="246px">
    <Fields>
        <asp:BoundField DataField="Price" HeaderText="Price" SortExpression="Price" />
        <asp:BoundField DataField="Description" HeaderText="Description" 
            SortExpression="Description" />
        <asp:BoundField DataField="ProductId" HeaderText="ProductId" 
            SortExpression="ProductId" />
        <asp:BoundField DataField="Category" HeaderText="Category" 
            SortExpression="Category" />
    </Fields>
</asp:DetailsView>
<asp:SqlDataSource ID="SqlDataSource2" runat="server" 
    ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
    SelectCommand="SELECT [Price], [Description], [ProductId], [Category] FROM [Products] WHERE ([ProductId] = @ProductId)">
    <SelectParameters>
        <asp:ControlParameter ControlID="GridView1" DefaultValue="P01" Name="ProductId" 
            PropertyName="SelectedValue" Type="String" />
    </SelectParameters>
</asp:SqlDataSource>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server">
    </asp:ObjectDataSource>
    <asp:Button ID="btnPay" runat="server" Text="Pay" />
</asp:Content>

